// App
// -----------------------------------------------------------------------------
import { TypeAssetOS } from 'types/default';
import { GenericDataStore } from './GenericDataStore';
import { environment } from 'enviroments/enviroments';

export class AssetsOsesStore extends GenericDataStore<TypeAssetOS> {
  constructor() {
    super(environment.endPoints.assets.osList);
    this.override();
  }

  getId = (entity: TypeAssetOS): number => entity.id;

  getName = (entity: TypeAssetOS): string => entity.name;
}
